# Asterisk Project : Asterisk 12 Configuration_stasis

Added by wikibot , edited by wikibot on Aug 29, 2013

# Stasis message bus configuration.

This configuration documentation is for functionality provided by `stasis`.

## stasis.conf

### threadpool

Threadpool configuration.

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`initial_size` | `Integer` | `0` | `false` | Initial number of threads in the message bus threadpool.
`idle_timeout_sec` | `Integer` | `20` | `false` | Number of seconds for an idle thread to be disposed of.
`max_size` | `Integer` | `200` | `false` | Maximum number of threads in the threadpool.

### Import Version

This documentation was imported from Asterisk Version Unknown